%global momorel 2

Name:           perl-Catalyst-Plugin-Session-Store-File
Version:        0.08
Release:        %{momorel}m
Summary:        File storage backend for session data
License:        GPL or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Catalyst-Plugin-Session-Store-File/
Source0:        http://www.cpan.org/authors/id/E/ES/ESSKAR/Catalyst-Plugin-Session-Store-File-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-root
BuildArch:      noarch
BuildRequires:  perl(Cache::Cache) >= 1.02
BuildRequires:  perl(Catalyst) >= 5
BuildRequires:  perl(Catalyst::Plugin::Session) >= 0.01
BuildRequires:  perl(Class::Accessor::Fast) >= 0.22
BuildRequires:  perl(Class::Data::Inheritable) >= 0.04
Requires:       perl(Cache::Cache) >= 1.02
Requires:       perl(Catalyst) >= 5
Requires:       perl(Catalyst::Plugin::Session) >= 0.01
Requires:       perl(Class::Accessor::Fast) >= 0.22
Requires:       perl(Class::Data::Inheritable) >= 0.04
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Catalyst::Plugin::Session::Store::File is an easy to use storage plugin for
Catalyst that uses an simple file to act as a shared memory interprocess
cache. It is based on Cache::FileCache.

%prep
%setup -q -n Catalyst-Plugin-Session-Store-File-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=site
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc CHANGES README
%{perl_sitelib}/*/*/*/*/*
%{_mandir}/man3/*

%changelog
* Sat Oct 07 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.08-2m)
- delete dupclicate directory

* Mon Oct 02 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (0.08-1m)
- Specfile autogenerated by cpanspec 1.68 for Momonga Linux.
